diff --git a/src/gprs_rlcmac_data.cpp b/src/gprs_rlcmac_data.cpp
index 4f2b649..00cf51f 100644
--- a/src/gprs_rlcmac_data.cpp
+++ b/src/gprs_rlcmac_data.cpp
@@ -1891,6 +1891,8 @@ int gprs_rlcmac_imm_ass_cnf(uint8_t *data, uint32_t fn)
 	uint8_t plen;
 	uint32_t tlli;
 
+	printf("receiving IMM.ASS confirm from BTS: %s\n", osmo_hexdump(data, 23));
+
 	/* move to IA Rest Octets */
 	plen = data[0] >> 2;
 	data += 1 + plen;
diff --git a/src/pcu_l1_if.cpp b/src/pcu_l1_if.cpp
index 923070f..0631a16 100644
--- a/src/pcu_l1_if.cpp
+++ b/src/pcu_l1_if.cpp
@@ -189,6 +189,7 @@ void pcu_l1if_tx_pch(bitvec * block, int plen, char *imsi)
 	bitvec_pack(block, data + 3+1);
 	data[3] = (plen << 2) | 0x01;
 	pcu_tx_data_req(0, 0, PCU_IF_SAPI_PCH, 0, 0, 0, data, 23+3);
+	printf("sending IMM.ASS to BTS: %s\n", osmo_hexdump(data + 3, 23));
 }
 
 // FIXME: remove this, when changed from c++ to c.
